be.fgov.ehealth.dics.protocol.v4

## Class AmppListDataType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.AmppListDataType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:03:39+02:00",
                 comments="JAXB RI v2.2.11")
      public class AmppListDataType
      extends Object
      implements Serializable

  Java class for AmppListDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AmppListDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AtcCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="AbbreviatedName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
               <element name="PrescriptionName" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmppListDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultTextType` | `getAbbreviatedName()` Gets the value of the abbreviatedName property.
    `List<String>` | `getAtcCodes()` Gets the value of the atcCodes property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getPrescriptionName()` Gets the value of the prescriptionName property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setAbbreviatedName(ConsultTextType value)` Sets the value of the abbreviatedName property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setPrescriptionName(ConsultTextType value)` Sets the value of the prescriptionName property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmppListDataType

          public AmppListDataType()

  - ### Method Detail

    - #### getAtcCodes

          public List<String> getAtcCodes()

      Gets the value of the atcCodes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the atcCodes property.

      For example, to add a new item, do as follows:

              getAtcCodes().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAbbreviatedName

          public ConsultTextType getAbbreviatedName()

      Gets the value of the abbreviatedName property.
      Returns:
        possible object is `ConsultTextType`

    - #### setAbbreviatedName

          public void setAbbreviatedName(ConsultTextType value)

      Sets the value of the abbreviatedName property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getPrescriptionName

          public ConsultTextType getPrescriptionName()

      Gets the value of the prescriptionName property.
      Returns:
        possible object is `ConsultTextType`

    - #### setPrescriptionName

          public void setPrescriptionName(ConsultTextType value)

      Sets the value of the prescriptionName property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.